# -*- coding: utf-8 -*-

class AppItem(object):
	apppath = None
	apkname = None
	pkgname = None
	mainaty = None
	permissions = None
	appname = None
	summary = None
	description = None

	def __init__(self,apppath, apkname, pkgname, mainaty, permissions, appname, summary, description):
		self.apppath = apppath
		self.apkname = apkname
		self.pkgname = pkgname
		self.mainaty = mainaty
		self.permissions = permissions
		self.appname = appname
		self.summary = summary
		self.description = description

	def __str__(self):
		return 'apppath={0}, apkname={1}, pkgname={2}, mainaty={3}, permissions={4}, appname={5}, summary={6}, description={7}'.format(self.apppath, self.apkname, self.pkgname, self.mainaty, self.permissions, self.appname, self.summary, self.description)
